Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007495TestLinkGeneralpublic2016-04-05 12:142016-12-28 18:58
Reporterwnow7p 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformVMware ApplianceOSCentOSOS Version6.7
Product Version1.9.14 (2015 Q3) 
Fixed in Version 
Summary0007495: After successful installation, it is not possible to login as admin, if Nginx is used as a reverse Proxy
DescriptionComplete installation was successful,

Accessing the login page for the "first time", it does not allow you to log into the system. The login screen just reappears!

This is presumably the problem as reported in 0006015!
Steps To Reproduce- install the system, using a secure connection behind a reverse Proxy (Nginx)
- after completing the installation, the system asks you to login as admin/admin
- Login page is displayed with unencrypted elements. Entering the initial credentials "admin/admin" the login screen reappears.
Additional InformationDoing exactly the same steps without the reverse proxy, "using a local network connection", the login works correctly!
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserIndependant, but in this case mozilla/5.0 (windows nt 6.1; wow64; rv:45.0) gecko/20100101 firefox/45.0
PHP Version5.6.20 [your version]
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
related to 0006015closedfman Webserver: Nginx - https is forced incorrectly 

-  Notes
(0024664)
fman (administrator)
2016-04-06 05:41

1) what is relation between two issues other the word 'nginx'? please explain clearly

2) Unfortunately I'v no way to reproduce your infrastructure and in addition according to your additiona notes, without reverse proxy TestLin works ok.

it's is not clear what do you mean for:
>>- Login page is displayed with unencrypted elements.

your only option is to debug the code by yourself to undertand what is happening
(0024666)
wnow7p (reporter)
2016-04-08 10:06

We tried to workaround the issue by changing the configuration of Nginx.
So this can be closed as a duplicate of 0006015

Best Regards,
Walter
(0024667)
fman (administrator)
2016-04-08 18:21

would you mind to detail here Nginx config changes? it sure be useful for other people.

regards
(0024676)
wnow7p (reporter)
2016-04-11 07:46

Sorry, I don't have access to the specific Nginx configuration, as this is managed by a separate department and I don't have access to these details.

Best regards,
Walter
(0024692)
fman (administrator)
2016-04-11 19:26

IT will be great if you can get the details and put here, in order to share knowledge and save time for other users
(0024708)
fman (administrator)
2016-04-19 07:33

please provide requested info to community
(0024711)
wnow7p (reporter)
2016-04-19 09:18

The following solved at least our local issue:
/etc/nginx/site-available/default

 location ~ \.php$ {
        fastcgi_split_path_info ^(.+\.php)(/.+)$;
        # NOTE: You should have "cgi.fix_pathinfo = 0;" in php.ini
        # With php5-cgi alone:
        # fastcgi_pass 127.0.0.1:9000;
        # With php5-fpm:
        fastcgi_pass unix:/var/run/php5-fpm.sock;
        fastcgi_index index.php;
        include fastcgi_params;
    }
(0024712)
wnow7p (reporter)
2016-04-19 09:18

Forgot to mention, a nginx restart is required!

BR
W
(0024714)
fman (administrator)
2016-04-19 18:26

Thanks for info!!

- Issue History
Date Modified Username Field Change
2016-04-05 12:14 wnow7p New Issue
2016-04-06 05:38 fman QA Team - Task Workflow Status => TBD
2016-04-06 05:38 fman Category Security - General => General
2016-04-06 05:41 fman Note Added: 0024664
2016-04-06 05:41 fman Status new => feedback
2016-04-08 10:06 wnow7p Note Added: 0024666
2016-04-08 10:06 wnow7p Status feedback => new
2016-04-08 18:20 fman Relationship added related to 0006015
2016-04-08 18:21 fman Note Added: 0024667
2016-04-10 09:35 fman Assigned To => fman
2016-04-10 09:35 fman Status new => feedback
2016-04-11 07:46 wnow7p Note Added: 0024676
2016-04-11 07:46 wnow7p Status feedback => assigned
2016-04-11 19:26 fman Note Added: 0024692
2016-04-11 19:26 fman Status assigned => feedback
2016-04-19 07:33 fman Note Added: 0024708
2016-04-19 09:18 wnow7p Note Added: 0024711
2016-04-19 09:18 wnow7p Status feedback => assigned
2016-04-19 09:18 wnow7p Note Added: 0024712
2016-04-19 18:26 fman Note Added: 0024714
2016-12-28 18:58 fman Status assigned => resolved
2016-12-28 18:58 fman Resolution open => fixed



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker